import 'reflect-metadata';
import { Container } from 'inversify';
import { MainAppWindow } from '../modules/app-window/main-app-window';
import { Logger } from '../modules/logger/logger';
import { NhentaiApi } from '../modules/nhentai/nhentai-api';
import '../modules/nhentai/nhentai-ipc-controller';
import { Session } from '../modules/session/session';
import { Store } from '../modules/store/store';
import { WebCrawler } from '../modules/web-crawler/web-crawler';

export const container = new Container({ defaultScope: 'Singleton' });

container.bind(Symbol.for('store')).to(Store);

container.bind(Symbol.for('web-crawler')).to(WebCrawler);

container.bind(Symbol.for('nhentai-api')).to(NhentaiApi);

container.bind(Symbol.for('app-window-main')).to(MainAppWindow);

container.bind(Symbol.for('session')).to(Session);

container.bind(Symbol.for('logger')).to(Logger);
